#ifndef FASTAWRITER_HH
#define FASTAWRITER_HH 1

#include "RequestManager.hh"

using libSlice::SliceData;

class FastaWriter : public RequestManager
{
public:
  FastaWriter();
  ~FastaWriter();

  void addSliceRange(long & index, long & gindex);
  void addSlice(SliceData * slice);

  int  printResults();

  static void handleOptions(Foundation * tf);

private:
  void printFasta();
  void print60(ostream & out, const string & bases) const;

  int m_contigCount;
  long m_length;
  string m_consensusSequence;

  static string m_asmblId;
};

#endif
